
ProCKSI - Support #61

Improvements for User-Interface

06/11/2008 01:59 PM - Anonymous

Status: Closed Estimated time: 0.00 hour

Priority: Normal

Assignee: Anonymous

Category: ProCKSI

Target version: 8.6

Resolution: fixed

Description

The only things I can poke holes in are:

1) On the Experiment Manager - once you get the results - it isn't as blindingly obvious to find the Structure Manager and Analysis

Manager as it is to do everything else up to this point.

2) Maybe you don't need the abbreviations on each page, especially since there are tool tips when you hover over the abbreviations in

place.

3) The use of italics for Task names on the Customise Your Tasks page is unnecessary and makes it harder to read. And I would left-align

the descriptions.

4) Generally the lines of text are very close together which makes it a bit harder to read, is it possible to use a larger line spacing?

Otherwise very attractive and intuitive.

Jon

History

#1 - 11/28/2007 05:25 PM - Anonymous

- Status changed from New to In Progress

#2 - 06/11/2008 01:59 PM - Anonymous

- Status changed from In Progress to Closed

- Resolution set to fixed

(In r702) f - Consensus/Median (closes #85)    * matrices can be combined using the 'median' method, which will produce the error matrix with the 'median

absolute deviation' (MAD)    * Math::Vector: new median() and mad() methods    * [[TypedMatrix]]/MathMatrix: average() takes method as parameter    *

Consensus 'average' renamed into 'mean' to make distinction clearer to 'median'

f - Toggle backgrounding/caching functionality for Dataset and Analysis Manager from the config file

e - Validity check of PDB files: check minimum number of residues while extracting chains/models (fixes #66)

e - Better guidance through [[MyExperiment]]

    -  Clicking the experiment's label links from the Experiments Manager to the Task 

    Manager (in previous revision!)

    -  Button links from the detailed results of each similarity comparison method to the Analysis Manager (closes #61)

e - Write tree list with label and URL for each available tree

b - driver_DaliLite: remove 'command' output

b - archive: fix sorting function in 'sort'

b - dataset: flush session at the end of the background process so that messages are available in the foreground

b - tasks: only link to detailed results if file exists
b - USM: revert changes with respect to [[DataDir]] 

b - Database::Requests: remove obsolete methods for pairs and measures
